List transactions
/erp-transactionsReturns a paginated list of transactions for the company in the companyId header. Supports extensive filtering by transaction category, sync status, approval status, transaction status, card last four, employee, chart-of-account and tax-rate name/remote id, VAT and transaction amount ranges, billing and transaction currency, cardholder email, cleared and transaction time ranges, sync-exclusion flag, and Qashio id / parent Qashio id.
Query parameters
pagenumberExample
1limitnumberExample
10transactionCategorystringExample
card_loadingerpSyncStatusstringExample
pendingapprovalStatusstringExample
pendingtransactionStatusstringExample
draftcardLastFourstringExample
1234employeeIdstringExample
emp-123erpChartOfAccountNamestringExample
ExpenseserpChartOfAccountRemoteIdstringExample
abcerpTaxRateNamestringExample
VAT 5%erpTaxRateRemoteIdstringExample
tax_rate_1vatAmountFromnumberExample
5vatAmountTonumberExample
50transactionAmountFromnumberExample
100transactionAmountTonumberExample
1000billingCurrencystringExample
USDtransactionCurrencystringExample
USDcardHolderEmailstringExample
example@exmaple.comclearedAtFromstringExample
2024-01-01clearedAtTostringExample
2024-12-31transactionTimeFromstringExample
2024-01-01transactionTimeTostringExample
2024-12-31excludeFromSyncbooleanExample
falseparentQashioIdstringExample
CT123asd123qashioIdstringExample
CT123asd123idstringExample
c4943209-4462-455a-9bb9-f6781b3838bf
Header parameters
companyIdstringrequiredID of the company to filter records
x-api-keystringrequiredPlease provide a valid API Key
Response
| Field | Type | Description |
|---|---|---|
page | number | |
totalPages | number | |
total | number | |
data | object[] | |
id | string | |
qashioId | string | |
companyId | string | |
cardExternalId | string | |
poolExternalId | string | |
amount | number | |
currency | string | |
transactionTime | string | |
transactionStatus | string | |
transactionMode | string | |
rrn | string | |
transactionDescription | string | |
transactionType | string | |
messageType | string | |
transmissionDateTime | string | |
vendorTrn | string | |
transactionAmount | number | |
transactionCurrency | string | |
purchaseOrderNumber | string | |
parentId | string | |
parentQashioId | string | |
memo | string | |
clearingStatus | string | |
vatAmount | number | |
transactionCategory | string | |
visible | boolean | |
clearedAt | string | |
excludeFromSync | boolean | |
status | string | |
syncErrors | string[] | |
erpSyncStatus | string | |
erpSyncType | string | |
merchantName | string | |
merchantCountry | string | |
erpSupplierName | string | |
erpSupplierRemoteId | string | |
poolAccountName | string | |
cardName | string | |
cardLastFour | string | |
cardHolderName | string | |
cardHolderEmail | string | |
employeeId | string | |
approvalStatus | string | |
approvedDateTime | string | |
approvedBy | object | |
chartOfAccountNumber | string | |
feeCharges | number | |
modifiedDate | string | |
receipts | string[] | |
segments | any[] | |
customSegments | any[] | |
createdAt | string | |
updatedAt | string | |
lineItems | any[] |
Errors
400Bad Request
Every error carries an errors[] array and a meta.request_id. See Errors for the full envelope.